/*
 * ScanTest.java
 * Created on Mar 4, 2005
 */
package xeus.mudbox.scanner;

import xeus.net.scanner.PortConstants;
import xeus.net.scanner.PortProperties;
import xeus.net.scanner.TruePortAnalyzer;
import xeus.net.scanner.event.ScanAdapter;
import xeus.net.scanner.event.ScanEvent;

/**
 * @author Kamran Zafar
 *
 */
public class ScanTest extends ScanAdapter{

    Thread t=null;
    
    public void startScan(String host, int startPort, int endPort, boolean exit)
    {
        TruePortAnalyzer scanner=new TruePortAnalyzer(host,startPort,endPort);
        scanner.addScanListener(this);
        
        t=new Thread(scanner);
        t.start();
    }
    
    public void stopScan()
    {
        t.stop();
    }
    
    public void portOpen(ScanEvent e)
    {
        PortProperties props=(PortProperties)e.getSource();
        System.out.println("Port :"+props.getPort()+" is OPEN");
        
        if(props.getPortType()==PortConstants.HTTP)
            System.out.println("Port :"+props.getPort()+" is HTTP");
        else if(props.getPortType()==PortConstants.FTP)
            System.out.println("Port :"+props.getPort()+" is FTP");
        else if(props.getPortType()==PortConstants.SMTP)
            System.out.println("Port :"+props.getPort()+" is SMTP");
        else if(props.getPortType()==PortConstants.WHOIS)
            System.out.println("Port :"+props.getPort()+" is WHOIS");
        else
            System.out.println("Port :"+props.getPort()+" is UNKNOWN");
    }
    
    public void portClose(ScanEvent e)
    {
        PortProperties props=(PortProperties)e.getSource();
        System.out.println("Port :"+props.getPort()+" is CLOSE");        
    }
    
    public void portFiltered(ScanEvent e)
    {
        PortProperties props=(PortProperties)e.getSource();
        System.out.println("Port :"+props.getPort()+" FILTERED");
    }

    public void portAnalysisStarted(ScanEvent e)
    {
        PortProperties props=(PortProperties)e.getSource();
        System.out.println("Analysing Port :"+props.getPort());
    }
    
    public void scanEnded(ScanEvent e) {
        t=null;
    }
    
    public static void main(String args[]) throws Exception
    {
        ScanTest test=new ScanTest();
        test.startScan("localhost",80,81,false);
        
//        Thread.sleep(1000);
//        test.stopScan();
    }
}
